Forum francais Minecraft. Serveur de jeu FR-Minecraft et astuces pour Minecraft.



Pages :: 1

#1 22/11/2014 14:10:42

Membre

Messages : 4

Problème serveur moddé

Bonjour, bonsoir,

Joueur avéré de Minecraft, j'ai il y a un an de cela lancé mon propre serveur, et il y a environ une semaine, j'ai décidé de le modder. Sauf que voilà, une fois les mods instalés sur mon serveur, il s'éteind tout seul, et impossible de le rallumer.
Il tourne sous x-Cauldron1.7.10, voilà la liste des mods instalés :
-[1-7-10]_Lucky_Block_v5-1-0
-BiblioCraft-Mod-1.7.10
-CodeChickenCore-1.7.10-1.0.2.9-universal
-CoFHCore-[1.7.10]3.0.0B8-36
-iChunUtil-4.0.0
-Metallurgy-1.7.10-4.0.6.80
-MetallurgyCore-1.7.10-4.0.4.18
-MrCrayfishs-Furniture-Mod-1.7.10
-MSM-SNAP-3.0.0e-For-MC-1.7.10
-NotEnoughItems-1.7.10-1.0.2.15-universal
-OptiFine_1.7.10_HD_U_A4
-ShadersMod-v2.3.19mc1.7.10-installer

J'ai supprimé la map plusieurs fois, mon hebergeur est StarMine.

Enfin, voilà les logs du serveur :

[11:52:23] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLServerTweaker
[11:52:23] [main/INFO]: Using primary tweak class name cpw.mods.fml.common.launcher.FMLServerTweaker
[11:52:23] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLServerTweaker
[11:52:23] [main/INFO]: Forge Mod Loader version 7.10.25.1207 for Minecraft 1.7.10 loading
[11:52:23] [main/INFO]: Java is OpenJDK 64-Bit Server VM, version 1.7.0_25, running on Linux:amd64:3.2.0-4-amd64, installed at /usr/lib/jvm/java-7-openjdk-amd64/jre
[11:52:23] [main/INFO]: Loading tweaker cpw.mods.fml.common.launcher.FMLTweaker from cauldron-1.7.10-1.1207.01.195-server.jar
[11:52:27] [main/INFO]: Loading tweaker cpw.mods.fml.common.launcher.FMLTweaker from forge-1.7.10-10.13.2.1230-universal.jar
[11:52:27] [main/INFO]: Loading tweaker optifine.OptiFineForgeTweaker from OptiFine_1.7.10_HD_U_A4.jar
[11:52:27] [main/WARN]: The following coremods do not have a @MCVersion annotation. They may cause problems if this is not the correct version of Minecraft for them.
[11:52:27] [main/WARN]: Missing @MCVersion: codechicken.core.launch.CodeChickenCorePlugin cofh.asm.LoadingPlugin codechicken.nei.asm.NEICorePlugin
[11:52:27] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[11:52:27] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker
[11:52:27] [main/ERROR]: Unable to launch
java.lang.RuntimeException: FML was unable to install the security manager. The game will not start
at cpw.mods.fml.common.launcher.FMLTweaker.(FMLTweaker.java:39) ~[x-cauldron-1.7.10.jar:git-Cauldron-MCPC-Plus-1.7.10-1.1207.01.198]
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.7.0_25]
at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57) ~[?:1.7.0_25]
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) ~[?:1.7.0_25]
at java.lang.reflect.Constructor.newInstance(Constructor.java:526) ~[?:1.7.0_25]
at java.lang.Class.newInstance(Class.java:374) ~[?:1.7.0_25]
at net.minecraft.launchwrapper.Launch.launch(Launch.java:97) [launchwrapper-1.9.jar:?]
at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.9.jar:?]
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.7.0_25]
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) ~[?:1.7.0_25]
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.7.0_25]
at java.lang.reflect.Method.invoke(Method.java:606) ~[?:1.7.0_25]
at cpw.mods.fml.relauncher.ServerLaunchWrapper.run(ServerLaunchWrapper.java:43) [x-cauldron-1.7.10.jar:git-Cauldron-MCPC-Plus-1.7.10-1.1207.01.198]
at cpw.mods.fml.relauncher.ServerLaunchWrapper.main(ServerLaunchWrapper.java:12) [x-cauldron-1.7.10.jar:git-Cauldron-MCPC-Plus-1.7.10-1.1207.01.198]
Caused by: java.lang.SecurityException: Cannot replace the FML security manager
at cpw.mods.fml.relauncher.FMLSecurityManager.checkPermission(FMLSecurityManager.java:30) ~[x-cauldron-1.7.10.jar:git-Cauldron-MCPC-Plus-1.7.10-1.1207.01.198]
at java.lang.System.setSecurityManager0(System.java:296) ~[?:1.7.0_25]
at java.lang.System.setSecurityManager(System.java:287) ~[?:1.7.0_25]
at cpw.mods.fml.common.launcher.FMLTweaker.(FMLTweaker.java:35) ~[x-cauldron-1.7.10.jar:git-Cauldron-MCPC-Plus-1.7.10-1.1207.01.198]

J'éspere que quelqun pourra m'aider,

Veuillez agréer l'assurance de mes plus sincères salutations,

Kyrani

Hors ligne

#2 23/11/2014 14:19:37

Membre
Lieu : Dans et devant mon ordi

Messages : 28

Re : Problème serveur moddé

Si je ne me trompe pas le problème viens de CodeChickenCore, essaye de le re-télécharger et enlève celui que tu as.

Hors ligne


Minecraft c'est bien, mais avec des potes et des mods, c'est mieux !

#3 23/11/2014 15:33:21

Membre

Messages : 4

Re : Problème serveur moddé

Non, ce n'est apparement pas ça. :/
Il m'a été indiqué sur un autre forum que c'était le FML qui voulait créer une sécurité Java mais que mon hebergeur le bloquait.
Enfin bon, si des personnes ont dd'autres idées, je suis preneur ! :)
Et merci de l'attention que tu as porté à mon post ! ;)

Hors ligne

#4 23/11/2014 15:38:43

Rédacteur
Lieu : avec kevin032

Messages : 714
Site Web

Re : Problème serveur moddé

Bonjour je pense que c'est shadermod qui bloque tout ;) :
-ShadersMod-v2.3.19mc1.7.10-installer
il y a écrit installer ce qui veut dire qu'il faut le lancer soit même pour l'installer et même si ce n'est pas ça le problème il ne sert à rien de le mettre c'est un mod pour le solo après c'est toi qui vois ;)
Cordialement diamond57

PS: As-tu essayer d'installer plutôt forge pour tes mods sur le serveur car là fml bug je ne connais pas x-Cauldron1.7.10, éssai voir plutôt forge

Ah je pense savoir :
[11:52:27] [main/WARN]: The following coremods do not have a @MCVersion annotation. They may cause problems if this is not the correct version of Minecraft for them.
[11:52:27] [main/WARN]: Missing @MCVersion: codechicken.core.launch.CodeChickenCorePlugin cofh.asm.LoadingPlugin codechicken.nei.asm.NEICorePlugin

Dans la première erreur il dit : Le suivit de coremods n'a pas de note pour qu'elle version de minecraft il appartient. Ils peuvent causer des problèmes si ce n'est pas la bonne version de minecraft pour celui ci. *Donc en vrai français ça donne Ils peuvent causer des problèmes si ce n'est pas la bonne version de minecraft.* ( je suis pas si fort que ça en anglais mais c'est ce que je comprend enfin je pense ) et le deuxième : Il manque la version de minecraft pour : codechicken[...]

Donc essai de supprimer ton mod codechicken et pour coremods je ne vois pas ce que c'est donc si tu as une idée ...

Dernière modification par diamond57 (23/11/2014 15:54:16)

Hors ligne

#5 25/11/2014 22:04:39

Membre

Messages : 4

Re : Problème serveur moddé

Merci de ta reponse, je ne peux pas mettre mon serveur sous forge, la seule possibilité que j'ai c'est Openmod, et ça equivaut il me semble à X-Cauldron :/
Pour codechickencore, je l'ai supprimé et réinstaler plusieurs fois, mais rien n'y fait :/
Mais merci de t'être arrêté sur mon post ! :)

Hors ligne

#6 26/11/2014 02:52:50

Membre
Lieu : Dans et devant mon ordi

Messages : 28

Re : Problème serveur moddé

Essaye de supprimer CodeChickenCore et NEI, si ça se trouve c'est une inncompatibilité...

P-S : Les coremods sont certains mods (comme codechickencore) qui sont nécessaire au fonctionnement de certains mods (NEI dans ce cas-là)

Hors ligne


Minecraft c'est bien, mais avec des potes et des mods, c'est mieux !

Pages :: 1

Pied de page des forums